import { request } from '@shared/utils/request'

// 获取业务底图
export function getBaseMap() {
    return request({
        url: '/snow-ops-platform/dataDirectory/queryCatalog',
        method: 'GET',
        params: {
            pcatalog: 'DDT'
        }
    })
}

// 获取业务图
export function getBusinessMap() {
    return request({
        url: '/snow-ops-platform/dataDirectory/queryCatalog',
        method: 'GET',
        params: {
            pcatalog: 'SI'
        }
    })
}

// 获取所有的养护站
export function getAllYHZList() {
    return request({
        url: '/snow-ops-platform/yhz/listByDistrict',
        method: 'get',
        params: {
            qxmc: ''
        }
    })
}


export function getYHZDetail(params) {
    return request({
        url: '/snow-ops-platform/yhz/getById',
        method: 'get',
        params
    })
}

// 获得高海拔路段图 high-altitude road
export function getHighAltitudeRoadMap () {
    return request({
        url: '/snow-ops-platform/dataDirectory/queryCatalog',
        method: 'GET',
        params: {
            pcatalog: 'GHBMAP'
        }
    })
}

// 获取天气预警统计
export function getWeatherWarningStatistics (params) {
    return request({
        url: '/snow-ops-platform/weatherWarning/statistics',
        method: 'GET',
        params
    })
}






